package com.gyee.generation.config;


import com.baomidou.mybatisplus.core.exceptions.MybatisPlusException;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.StringUtils;
import com.baomidou.mybatisplus.generator.AutoGenerator;
import com.baomidou.mybatisplus.generator.FastAutoGenerator;
import com.baomidou.mybatisplus.generator.config.*;
import com.baomidou.mybatisplus.generator.config.rules.DateType;
import com.baomidou.mybatisplus.generator.config.rules.NamingStrategy;
import com.baomidou.mybatisplus.generator.engine.FreemarkerTemplateEngine;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;
import java.util.Scanner;

/**
 * @description: 自动生成mybatisplus的相关代码
 * @author: shilin
 * @date: 2024/5/29 9:17
 * @param:
 * @return:
 **/
public class GeneratorCodeConfig {
    public static String scanner(String tip) {
        Scanner scanner = new Scanner(System.in);
        StringBuilder help = new StringBuilder();
        help.append("请输入" + tip + "：");
        System.out.println(help.toString());
        if (scanner.hasNext()) {
            String ipt = scanner.next();
            if (StringUtils.isNotEmpty(ipt)) {
                return ipt;
            }
        }
        throw new MybatisPlusException("请输入正确的" + tip + "！");
    }

    public static void main(String[] args) {
            FastAutoGenerator.create("jdbc:mysql://127.0.0.1:3306/eladmin?characterEncoding=UTF-8&useUnicode=true&useSSL=false", "root", "abc123")
                    // 全局配置
                    .globalConfig(builder -> {
                        builder.author("wanggc") // 设置作者
                                .commentDate("yyyy-MM-dd hh:mm:ss")   //注释日期
                                .outputDir(System.getProperty("user.dir") + "/src/main/java") // 指定输出目录
                                .disableOpenDir() //禁止打开输出目录，默认打开
                        ;
                    })
                    // 包配置
                    .packageConfig(builder -> {
                        builder.parent("demo.generator") // 设置父包名
                                .pathInfo(Collections.singletonMap(OutputFile.xml, System.getProperty("user.dir") + "/src/main/resources/mappers")); // 设置mapperXml生成路径
                    })
//                    //包配置
//                    .packageConfig(builder -> {
//                        builder.parent("com.example.demo")     //父包名
//                                .entity("bean")                 //Entity 包名
//                                .service("service")             //	Service 包名
//                                .serviceImpl("service.impl")    //Service Impl 包名
//                                .mapper("mapper")               //Mapper 包名
//                                .xml("mapper.xml")              //	Mapper XML 包名
//                                .controller("controller")       //Controller 包名
//                                .other("config")                //自定义文件包名	输出自定义文件时所用到的包名
//                                .pathInfo(Collections.singletonMap(OutputFile.xml, System.getProperty("user.dir") + "\\src\\main\\resources\\mapper"));//指定xml位置
//                    })
                    // 策略配置
                    .strategyConfig(builder -> {
                        builder.addInclude("sys_menu") // 设置需要生成的表名
                                .addTablePrefix("sys_") // 设置过滤表前缀
                                // Entity 策略配置
                                .entityBuilder()
                                .enableLombok() //开启 Lombok
                                .enableFileOverride() // 覆盖已生成文件
                                .naming(NamingStrategy.underline_to_camel)  //数据库表映射到实体的命名策略：下划线转驼峰命
                                .columnNaming(NamingStrategy.underline_to_camel)    //数据库表字段映射到实体的命名策略：下划线转驼峰命
                                // Mapper 策略配置
                                .mapperBuilder().superClass(BaseMapper.class)
                                .formatMapperFileName("%sMapper")
                                .enableFileOverride() // 覆盖已生成文件
                                // Service 策略配置
                                .serviceBuilder()
                                .enableFileOverride() // 覆盖已生成文件
                                .formatServiceFileName("%sService") //格式化 service 接口文件名称，%s进行匹配表名，如 UserService
                                .formatServiceImplFileName("%sServiceImpl") //格式化 service 实现类文件名称，%s进行匹配表名，如 UserServiceImpl
                                // Controller 策略配置
                                .controllerBuilder().enableRestStyle()
                                .enableFileOverride() // 覆盖已生成文件
                        ;
                    })
                    .execute();


    }



}
