package com.gyee.generation.mapper.auto;


import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gyee.generation.model.auto.PointDataTaos;

import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.Update;

import java.util.List;


@DS("slave")
public interface TaosMapper extends BaseMapper<PointDataTaos> {


    @Update("CREATE STABLE if not exists ${superTableName} (ts TIMESTAMP,val DOUBLE,metric INT) TAGS (name NCHAR(100))  ")
    int createSuperTable(@Param("superTableName") String superTableName);



    @Update("create table if not exists ${tbName} using ${superTableName} TAGS( #{tbName} ) ")
    int createTable(@Param("tbName") String tbName, @Param("superTableName") String superTableName

    );


    @Update("drop table if exists ${superTableName}")
    void dropSuperTable(@Param("superTableName")String superTableName);

    @Insert("insert into ${tbName} (ts, val,metric) values(#{ts}, #{val}, #{metric})")
    int insertOne(PointDataTaos one);



    @Insert("${sql}")
    int insertList(@Param("sql") String sql);



    @Select("SELECT LAST_ROW(ts) as ts,LAST_ROW(val) as val,LAST_ROW(metric) as metric  FROM  #{tbname} ")
    List<PointDataTaos> getRealData(@Param("tbname") String tbname);

    @Select("${sql} ")
    List<PointDataTaos> getHistoryDatasSnap(@Param("sql") String sql);

    @Select("${sql} ")
    List<PointDataTaos> getHistoryDatasRaw(@Param("sql") String sql);

    @Select("${sql} ")
    List<PointDataTaos> getHistMatrix(@Param("sql") String sql);

}
