package com.gyee.generation.model.auto;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 集团
 * </p>
 *
 * @author shilin
 * @since 2024-05-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProBasicEnergyGroup extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 编码
     */
    private String nemCode;

    /**
     * 父编号
     */
    @TableField("parentId")
    private String parentId;

    /**
     * 名称
     */
    private String name;

    /**
     * 别名
     */
    private String aname;

    /**
     * 风电装机容量
     */
    private BigDecimal windCapacity;

    /**
     * 风电容量单位
     */
    private String windCapacityUnit;

    /**
     * 风电装机数量海上
     */
    private Integer windQuantityHs;

    /**
     * 风电装机数量陆地
     */
    private Integer windQuantityLd;

    /**
     * 光伏装机容量
     */
    private BigDecimal capacity;

    /**
     * 光伏容量单位
     */
    private String capacityUnit;

    /**
     * 光伏装机数量集中
     */
    private Integer quantityJz;

    /**
     * 光伏装机数量组串
     */
    private Integer quantityZc;

    /**
     * 接入风电装机容量
     */
    private BigDecimal jrwindCapacity;

    /**
     * 接入风电容量单位
     */
    private String jrwindCapacityUnit;

    /**
     * 接入风电装机数量海上
     */
    private Integer jrwindQuantityHs;

    /**
     * 接入风电装机数量陆地
     */
    private Integer jrwindQuantityLd;

    /**
     * 接入光伏装机容量
     */
    private BigDecimal jrCapacity;

    /**
     * 接入光伏容量单位
     */
    private String jrCapacityUnit;

    /**
     * 接入光伏装机数量集中
     */
    private Integer jrquantityJz;

    /**
     * 接入光伏装机数量组串
     */
    private Integer jrquantityZc;

    /**
     * 顺序
     */
    private Integer orderNum;

    /**
     * 风电场站数量
     */
    private Integer windNumber;

    /**
     * 光伏场站数量
     */
    private Integer number;

    /**
     * 接入风电场站数量
     */
    private Integer jrWindNumber;

    /**
     * 接入光伏场站数量
     */
    private Integer jrNumber;

    /**
     * 是否可用
     */
    private Integer isAble;

    /**
     * 备用1
     */
    private String spare1;

    /**
     * 备用2
     */
    private String spare2;

    /**
     * 备用3
     */
    private String spare3;

    /**
     * 备用4
     */
    private String spare4;


}
