package com.gyee.generation.model.auto;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 电计量点表
 * </p>
 *
 * @author shilin
 * @since 2024-05-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProBasicMeterPoint extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 编码
     */
    private String nemCode;

    /**
     * 使用/排序
     */
    private Integer orderNum;

    /**
     * 名称
     */
    private String name;

    /**
     * 用到名称
     */
    private String aname;

    /**
     * 描述
     */
    private String description;

    /**
     * 风场编号
     */
    private String windpowerstationId;

    /**
     * 工程编号
     */
    private String projectId;

    /**
     * 线路编号
     */
    private String lineId;

    /**
     * 电表类型
     */
    private String meterType;

    /**
     * 电表编码
     */
    private String meterCode;

    /**
     * 电表主备
     */
    private String meterSort;

    /**
     * 显示类型
     */
    private String displayType;

    /**
     * 统一编码
     */
    private String uniformCode;

    /**
     * 倍率
     */
    private BigDecimal magnification;

    /**
     * 短ID
     */
    private String shortId;

    /**
     * 长ID
     */
    private String longId;

    /**
     * 实时配置编号
     */
    private String realtimeId;

    /**
     * 线损倍率
     */
    private BigDecimal magnificationxs;

    /**
     * 系数
     */
    private BigDecimal xs;

    /**
     * 初始值
     */
    private BigDecimal initialValue;

    /**
     * 是否可用
     */
    private Integer isAble;

    /**
     * 集团测点编号
     */
    private String groupPointId;

    /**
     * 具体名称
     */
    private String specificName;


}
