package com.gyee.generation.model.auto;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDate;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 场站表
 * </p>
 *
 * @author shilin
 * @since 2024-05-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProBasicPowerstation extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 编码
     */
    private String nemCode;

    /**
     * 名称
     */
    private String name;

    /**
     * 地址
     */
    private String address;

    /**
     * 电话
     */
    private String telephone;

    /**
     * 风电装机容量
     */
    private BigDecimal windCapacity;

    /**
     * 风电容量单位
     */
    private String windCapacityUnit;

    /**
     * 风电装机数量海上
     */
    private Integer windQuantityHs;

    /**
     * 风电装机数量陆地
     */
    private Integer windQuantityLd;

    /**
     * 光伏装机容量
     */
    private BigDecimal capacity2;

    /**
     * 光伏容量单位
     */
    private String capacityUnit2;

    /**
     * 光伏装机数量集中
     */
    private Integer quantityJz;

    /**
     * 光伏装机数量组串
     */
    private Integer quantityZc;

    /**
     * 接入风电装机容量
     */
    private BigDecimal jrwindCapacity;

    /**
     * 接入风电容量单位
     */
    private String jrwindCapacityUnit;

    /**
     * 接入风电装机数量海上
     */
    private Integer jrwindQuantityHs;

    /**
     * 接入风电装机数量陆地
     */
    private Integer jrwindQuantityLd;

    /**
     * 接入光伏装机容量
     */
    private BigDecimal jrCapacity;

    /**
     * 接入光伏容量单位
     */
    private String jrCapacityUnit;

    /**
     * 接入光伏装机数量集中
     */
    private Integer jrquantityJz;

    /**
     * 接入光伏装机数量组串
     */
    private Integer jrquantityZc;

    /**
     * 别名
     */
    private String aname;

    /**
     * 地球经度
     */
    private BigDecimal longitude;

    /**
     * 地球纬度
     */
    private BigDecimal latitude;

    /**
     * 图片
     */
    private String photo;

    /**
     * 系统厂家
     */
    private String systemManufact;

    /**
     * 场长
     */
    private String headfarm;

    /**
     * 场长电话
     */
    private String headfarmPhone;

    /**
     * 机型
     */
    private String model;

    /**
     * 顺序
     */
    private Integer orderNum;

    /**
     * 海拔高度
     */
    private BigDecimal height;

    /**
     * 场站类型
     */
    private String windType;

    /**
     * 公司编号
     */
    private String companyId;

    /**
     * 区域编号
     */
    private String regionId;

    /**
     * 集团编号
     */
    private String groupId;

    /**
     * 是否可用
     */
    private Integer isAble;

    /**
     * 备用1
     */
    private String spare1;

    /**
     * 备用2
     */
    private String spare2;

    /**
     * 备用3
     */
    private String spare3;

    /**
     * 备用4
     */
    private String spare4;

    /**
     * 核准容量
     */
    private BigDecimal appCapacity;

    /**
     * 在建容量
     */
    private BigDecimal conCapacity;

    /**
     * 并网容量
     */
    private BigDecimal gridCapacity;

    /**
     * 吊装容量
     */
    private BigDecimal hoiCapacity;

    /**
     * 首批并网时间
     */
    private LocalDate firstGridTime;

    /**
     * 整场投运时间
     */
    private LocalDate wholeGridTime;

    /**
     * 测风塔数量
     */
    private Integer anemoNumber;

    /**
     * 升压站数量
     */
    private Integer stationNumber;


}
