package com.gyee.generation.model.auto;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDate;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 与停机事件关联（限电停机时），数据库中无关联，程序控制
 * </p>
 *
 * @author shilin
 * @since 2024-05-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProEconBrownoutsEvent2 extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 风场编号
     */
    @TableField("windPowerStation_Id")
    private String windpowerstationId;

    /**
     * 停机时间
     */
    @TableField("windTurbine_Id")
    private String windturbineId;

    /**
     * 停机时间
     */
    @TableField("stop_Time")
    private LocalDate stopTime;

    /**
     * 恢复启动时间
     */
    @TableField("start_Time")
    private LocalDate startTime;

    /**
     * 停机小时数
     */
    @TableField("stop_Hours")
    private BigDecimal stopHours;

    /**
     * 损失电量
     */
    @TableField("loss_Power")
    private BigDecimal lossPower;

    /**
     * 故障停机、维护停机、限电停机、复位停机
     */
    @TableField("stop_Type_Id")
    private String stopTypeId;

    /**
     * 是否处理
     */
    @TableField("is_Handle")
    private Integer isHandle;

    /**
     * 停机事件编号
     */
    @TableField("shutdown_Event_Id")
    private String shutdownEventId;

    /**
     * 工程编号
     */
    @TableField("project_Id")
    private String projectId;

    /**
     * 主表ID
     */
    @TableField("main_Id")
    private String mainId;

    /**
     * 限电负荷
     */
    private BigDecimal limitLoad;

    /**
     * 限电指令
     */
    @TableField("Brownouts_Directive")
    private String brownoutsDirective;

    /**
     * 当时风速
     */
    private BigDecimal windSpeed;

    /**
     * 当时负荷
     */
    private BigDecimal thisLoad;

    /**
     * 限电原因
     */
    @TableField("stop_Reason")
    private String stopReason;

    /**
     * 线路编号
     */
    @TableField("line_Id")
    private String lineId;


}
