package com.gyee.generation.model.auto;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDate;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 风电机拟合曲线子表
 * </p>
 *
 * @author shilin
 * @since 2024-05-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProEconCurveFittingSub extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 风机编号
     */
    @TableField("windturbine_Id")
    private String windturbineId;

    /**
     * 环比
     */
    @TableField("month_Deviation_Rate")
    private BigDecimal monthDeviationRate;

    /**
     * 同比
     */
    @TableField("year_Deviation_Rate")
    private BigDecimal yearDeviationRate;

    /**
     * 与标杆风机比
     */
    @TableField("standard_Deviation_Rate")
    private BigDecimal standardDeviationRate;

    /**
     * 日期
     */
    @TableField("record_Date")
    private LocalDate recordDate;

    /**
     * 风速
     */
    private BigDecimal speed;

    /**
     * 实际/最优
     */
    @TableField("deviation_Rate1")
    private BigDecimal deviationRate1;

    /**
     * 实际/保证
     */
    @TableField("deviation_Rate2")
    private BigDecimal deviationRate2;

    /**
     * 最优/保证
     */
    @TableField("deviation_Rate3")
    private BigDecimal deviationRate3;


}
