package com.gyee.generation.model.auto;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDate;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 风机绩效榜
 * </p>
 *
 * @author shilin
 * @since 2024-05-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProEconEquipmentDayInfo extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 风机编号
     */
    private String windturbineId;

    /**
     * 项目
     */
    private String projectId;

    /**
     * 线路
     */
    private String lineId;

    /**
     * 风场编号
     */
    private String windpowerstationId;

    /**
     * 日期
     */
    private LocalDate recordDate;

    /**
     * 发电量
     */
    private BigDecimal genecapacity;

    /**
     * 理论发电量
     */
    private BigDecimal therogenecapacity;

    /**
     * 风速
     */
    private BigDecimal speed;

    /**
     * 维护损失电量
     */
    private BigDecimal daynhwhssdl;

    /**
     * 故障损失电量
     */
    private BigDecimal daynhgzssdl;

    /**
     * 限电损失电量
     */
    private BigDecimal daynhxdssdl;

    /**
     * 性能损失电量
     */
    private BigDecimal daynhqfdl;

    /**
     * 受累损失电量
     */
    private BigDecimal daynhcfdl;


}
