package com.gyee.generation.model.auto;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDate;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 离散率转换效率
 * </p>
 *
 * @author shilin
 * @since 2024-05-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProEconEquipmentInfoDay6 extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 逆变器编号
     */
    private String windturbineId;

    /**
     * 日期
     */
    private LocalDate recordDate;

    /**
     * 风场编号
     */
    private String windpowerstationId;

    /**
     * 项目编号
     */
    private String projectId;

    /**
     * 线路编号
     */
    private String lineId;

    /**
     * 公司编号
     */
    private String companyId;

    /**
     * 区域编号
     */
    private String regionId;

    /**
     * 日系统效率(PR)
     */
    private BigDecimal rxtxl;

    /**
     * 日离散率
     */
    private BigDecimal rlsl;

    /**
     * 日逆变器转换效率
     */
    private BigDecimal rnbqzhxl;

    /**
     * 月系统效率(PR)
     */
    private BigDecimal yxtxl;

    /**
     * 月离散率
     */
    private BigDecimal ylsl;

    /**
     * 月逆变器转换效率
     */
    private BigDecimal ynbqzhxl;

    /**
     * 年系统效率(PR)
     */
    private BigDecimal nxtxl;

    /**
     * 年离散率
     */
    private BigDecimal nlsl;

    /**
     * 年逆变器转换效率
     */
    private BigDecimal nnbqzhxl;


}
