package com.gyee.generation.model.auto;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 1、切入是1
2、切出是0
 * </p>
 *
 * @author shilin
 * @since 2024-05-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProEconInputOrOutputSpeed extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 风机编号
     */
    @TableField("windTurbine_Id")
    private String windturbineId;

    /**
     * 风速
     */
    private BigDecimal speed;

    /**
     * 切入or切出
     */
    private Integer inputOrOutput;

    /**
     * 时间
     */
    @TableField("record_Date")
    private LocalDateTime recordDate;

    /**
     * 风场编号
     */
    @TableField("WindPowerStation_Id")
    private String windpowerstationId;

    /**
     * 工程编号
     */
    @TableField("Project_Id")
    private String projectId;

    /**
     * 线路编号
     */
    @TableField("Line_Id")
    private String lineId;


}
