package com.gyee.generation.model.auto;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDate;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 根据风电机状态判断通讯中断并记录。
 * </p>
 *
 * @author shilin
 * @since 2024-05-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProEconInterruption extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    private Long id;

    /**
     * 风场编号
     */
    @TableField("windPowerStation_Id")
    private String windpowerstationId;

    /**
     * 风机编号
     */
    @TableField("windTurbine_Id")
    private String windturbineId;

    /**
     * 结束时间
     */
    @TableField("stop_Time")
    private LocalDate stopTime;

    /**
     * 开始时间
     */
    @TableField("start_Time")
    private LocalDate startTime;

    /**
     * 中断小时数
     */
    @TableField("stop_Hours")
    private BigDecimal stopHours;

    /**
     * 是否处理
     */
    @TableField("is_Handle")
    private Integer isHandle;

    /**
     * 工程编号
     */
    @TableField("project_Id")
    private String projectId;


}
