package com.gyee.generation.model.auto;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 性能损失记录
 * </p>
 *
 * @author shilin
 * @since 2024-05-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProEconLimitPowerRecords extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 风场编号
     */
    @TableField("windPowerStation_Id")
    private String windpowerstationId;

    /**
     * 风机编号
     */
    @TableField("windTurbine_Id")
    private String windturbineId;

    /**
     * 开始时间
     */
    @TableField("stop_Time")
    private LocalDateTime stopTime;

    /**
     * 恢复时间
     */
    @TableField("start_Time")
    private LocalDateTime startTime;

    /**
     * 停机小时数
     */
    @TableField("stop_Hours")
    private BigDecimal stopHours;

    /**
     * 损失电量
     */
    @TableField("loss_Power")
    private BigDecimal lossPower;

    /**
     * 故障停机、维护停机、限电停机、复位停机
     */
    @TableField("stop_Type_Id")
    private String stopTypeId;

    /**
     * 是否处理
     */
    @TableField("is_Handle")
    private Integer isHandle;

    /**
     * 限电主表ID
     */
    @TableField("main_Id")
    private String mainId;

    /**
     * 限电原因
     */
    @TableField("stop_Reason")
    private String stopReason;


}
