package com.gyee.generation.model.auto;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDate;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 限电事件主表
 * </p>
 *
 * @author shilin
 * @since 2024-05-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProEconMainBrownouts2 extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 停机时间
     */
    @TableField("stop_Time")
    private LocalDate stopTime;

    /**
     * 恢复启动时间
     */
    @TableField("start_Time")
    private LocalDate startTime;

    /**
     * 故障停机、维护停机、限电停机、复位停机
     */
    @TableField("stop_Type_Id")
    private String stopTypeId;

    /**
     * 描述
     */
    private String description;

    /**
     * 限电负荷
     */
    @TableField("limit_Load")
    private BigDecimal limitLoad;

    /**
     * 限电指令
     */
    @TableField("Brownouts_Directive")
    private String brownoutsDirective;

    /**
     * 当时风速
     */
    private BigDecimal windSpeed;

    /**
     * 当时负荷
     */
    private BigDecimal thisLoad;

    /**
     * 风场编号
     */
    private String windpowerstationId;

    /**
     * 风场名称
     */
    @TableField("WP_NAME")
    private String wpName;

    /**
     * 损失电量
     */
    @TableField("LOSS_POWER")
    private BigDecimal lossPower;

    /**
     * 停机时长
     */
    @TableField("stop_Hours")
    private BigDecimal stopHours;


}
