package com.gyee.generation.model.auto;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 停机事件
 * </p>
 *
 * @author shilin
 * @since 2024-05-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProEconShutdownEvent extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 风场编号
     */
    private String windpowerstationId;

    /**
     * 风机编号
     */
    private String windturbineId;

    /**
     * 停机时间
     */
    private LocalDateTime stopTime;

    /**
     * 恢复启动时间
     */
    private LocalDateTime startTime;

    /**
     * 停机小时数
     */
    private BigDecimal stopHours;

    /**
     * 损失电量
     */
    @TableField("loss_Power")
    private BigDecimal lossPower;

    /**
     * 故障停机、维护停机、限电停机、复位停机
     */
    @TableField("stopTypeId")
    private String stopTypeId;

    /**
     * 是否处理
     */
    private Integer isHandle;

    /**
     * 报警编号
     */
    private String warningId;

    /**
     * 工程编号
     */
    private String projectId;

    /**
     * 处理方式
     */
    private String handleWay;

    /**
     * 故障现象
     */
    private String faultView;

    /**
     * 风机状态
     */
    private Integer statusCode;

    /**
     * 限电主表ID
     */
    private String mainId;

    /**
     * 复位及时
     */
    private String resetRate;

    /**
     * 状态转换及时
     */
    private String stateRate;

    /**
     * 故障消缺及时
     */
    private String failRate;

    /**
     * 报警记录编号
     */
    private Integer warningRecordsId;


}
