package com.gyee.generation.model.auto;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDate;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 状态转换及时率子表2
 * </p>
 *
 * @author shilin
 * @since 2024-05-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProEconStateTranRatesSub2 extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;

    /**
     * 风场编号
     */
    @TableField("windpwoer_Id")
    private String windpwoerId;

    /**
     * 工程编号
     */
    @TableField("project_Id")
    private String projectId;

    /**
     * 线路编号
     */
    @TableField("line_Id")
    private String lineId;

    /**
     * 风机编号
     */
    @TableField("windturbine_Id")
    private String windturbineId;

    /**
     * 日期
     */
    @TableField("record_Date")
    private LocalDate recordDate;

    /**
     * 起始时间
     */
    @TableField("start_Time")
    private LocalDate startTime;

    /**
     * 终止时间
     */
    @TableField("end_Time")
    private LocalDate endTime;

    /**
     * 持续小时数
     */
    @TableField("duration_Hours")
    private BigDecimal durationHours;

    /**
     * 平均风速
     */
    private BigDecimal speed;

    /**
     * 最大风速
     */
    private BigDecimal maxSpeed;

    /**
     * 最小风速
     */
    private BigDecimal minSpeed;

    /**
     * 持续状态
     */
    @TableField("status_Code")
    private Integer statusCode;

    /**
     * 持续状态小时
     */
    @TableField("status_Hours")
    private BigDecimal statusHours;

    /**
     * 持续状态开始时间
     */
    private LocalDate statusBegin;

    /**
     * 持续状态结束时间
     */
    private LocalDate statusEnd;

    /**
     * 改变状态
     */
    @TableField("status_Code2")
    private Integer statusCode2;

    /**
     * 改变状态小时
     */
    @TableField("status_Hours2")
    private BigDecimal statusHours2;

    /**
     * 改变状态开始时间
     */
    private LocalDate statusBegin2;

    /**
     * 改变状态结束时间
     */
    private LocalDate statusEnd2;

    /**
     * 及时时间
     */
    private BigDecimal resetRate;


}
