package com.gyee.generation.model.auto;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDate;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 风电机拟合优度
 * </p>
 *
 * @author shilin
 * @since 2024-05-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProEconWindturbineGoodness extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 风机编号
     */
    @TableField("windturbine_Id")
    private String windturbineId;

    /**
     * 日拟合优度
     */
    @TableField("day_Goodness")
    private BigDecimal dayGoodness;

    /**
     * 月拟合优度
     */
    @TableField("month_Goodness")
    private BigDecimal monthGoodness;

    /**
     * 年拟合优度
     */
    @TableField("year_Goodness")
    private BigDecimal yearGoodness;

    /**
     * 日期
     */
    @TableField("record_Date")
    private LocalDate recordDate;

    /**
     * 风场编号
     */
    @TableField("windtPowerStation_Id")
    private String windtpowerstationId;

    /**
     * 型号编号
     */
    @TableField("model_Id")
    private String modelId;

    /**
     * 日功率一致性系数
     */
    @TableField("day_Coefficient")
    private BigDecimal dayCoefficient;

    /**
     * 月功率一致性系数
     */
    @TableField("month_Coefficient")
    private BigDecimal monthCoefficient;

    /**
     * 年功率一致性系数
     */
    @TableField("year_Coefficient")
    private BigDecimal yearCoefficient;

    /**
     * 日排行
     */
    @TableField("day_Top")
    private Integer dayTop;

    /**
     * 月排行
     */
    @TableField("month_Top")
    private Integer monthTop;

    /**
     * 年排行
     */
    @TableField("year_Top")
    private Integer yearTop;

    /**
     * 公司编号
     */
    @TableField("company_Id")
    private String companyId;

    /**
     * 类型
     */
    private String types;

    /**
     * 日风速
     */
    private BigDecimal daySpeed;

    /**
     * 月风速
     */
    private BigDecimal monthSpeed;

    /**
     * 年风速
     */
    private BigDecimal yearSpeed;

    /**
     * 区域编号
     */
    @TableField("region_Id")
    private String regionId;


}
