package com.gyee.generation.model.auto;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDate;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 风机日信息表
 * </p>
 *
 * @author shilin
 * @since 2024-05-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProEconWindturbineInfoDay extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 风机编号
     */
    private String windturbineId;

    /**
     * 运行小时
     */
    private BigDecimal runHours;

    /**
     * 停机小时
     */
    private BigDecimal stopHours;

    /**
     * 故障小时
     */
    private BigDecimal faultHours;

    /**
     * 维护小时
     */
    private BigDecimal maintainHours;

    /**
     * 通讯中断小时
     */
    private BigDecimal interruptHours;

    /**
     * 发电量
     */
    private BigDecimal generatingcapacity;

    /**
     * 平均风速(累计日照强度)
     */
    private BigDecimal speed;

    /**
     * 功率
     */
    private BigDecimal power;

    /**
     * 日期
     */
    private LocalDate recordDate;

    /**
     * 上网电量
     */
    private BigDecimal gridelectricity;

    /**
     * 购网电量
     */
    private BigDecimal buyelectricity;

    /**
     * 场内停机
     */
    private BigDecimal inStop;

    /**
     * 场外停机
     */
    private BigDecimal outStop;

    /**
     * 运行时间（计算过）
     */
    private BigDecimal runTime;

    /**
     * 停机时间（计算过）
     */
    private BigDecimal stopTime;

    /**
     * 故障时间（计算过）
     */
    private BigDecimal faultTime;

    /**
     * 维护时间（计算过）
     */
    private BigDecimal maintainTime;

    /**
     * 通讯中断时间（计算过）
     */
    private BigDecimal interruptTime;

    /**
     * 月发电量
     */
    private BigDecimal monthgc;

    /**
     * 年发电量
     */
    private BigDecimal yeargc;

    /**
     * 理论发电量
     */
    private BigDecimal theorygeneration;

    /**
     * 损失发电量
     */
    private BigDecimal lossOfPower;

    /**
     * 场用电量
     */
    private BigDecimal fieldelectricity;

    /**
     * 发电量（电表）
     */
    private BigDecimal generatingcapacity2;

    /**
     * 风场编号
     */
    private String windpowerstationId;

    /**
     * 项目编号
     */
    private String projectId;

    /**
     * 线路编号
     */
    private String lineId;

    /**
     * 最大风速（日照强度）
     */
    private BigDecimal maxSpeed;

    /**
     * 最小风速
     */
    private BigDecimal minSpeed;

    /**
     * 限电损失电量
     */
    private BigDecimal lossOfPower1;

    /**
     * 故障损失电量
     */
    private BigDecimal lossOfPower2;

    /**
     * 维护损失电量
     */
    private BigDecimal lossOfPower3;

    /**
     * 自算理论发电量
     */
    private BigDecimal theorygenerationzs;

    /**
     * 有效风时数
     */
    private BigDecimal windHours;

    /**
     * 最大功率
     */
    private BigDecimal maxPower;

    /**
     * 最小功率
     */
    private BigDecimal minPower;

    /**
     * 运行时间（计算过）月
     */
    private BigDecimal monthRunTime;

    /**
     * 停机时间（计算过）月
     */
    private BigDecimal monhtStopTime;

    /**
     * 故障时间（计算过）月
     */
    private BigDecimal monthFaultTime;

    /**
     * 维护时间（计算过）月
     */
    private BigDecimal monthMaintainTime;

    /**
     * 通讯中断时间（计算过）月
     */
    private BigDecimal monthInterruptTime;

    /**
     * 运行时间（计算过）年
     */
    private BigDecimal yearRunTime;

    /**
     * 停机时间（计算过）年
     */
    private BigDecimal yearStopTime;

    /**
     * 故障时间（计算过）年
     */
    private BigDecimal yearFaultTime;

    /**
     * 维护时间（计算过）年
     */
    private BigDecimal yearMaintainTime;

    /**
     * 通讯中断时间（计算过）年
     */
    private BigDecimal yearInterruptTime;

    /**
     * 月平均风速
     */
    private BigDecimal monthSpeed;

    /**
     * 年平均风速
     */
    private BigDecimal yearSpeed;

    /**
     * 不饱和电量
     */
    private BigDecimal lossOfPower4;

    /**
     * 日利用小时数
     */
    private BigDecimal daylyxs;

    /**
     * 月利用小时数
     */
    private BigDecimal monthlyxs;

    /**
     * 年利用小时数
     */
    private BigDecimal yearlyxs;

    /**
     * 日综合厂用电率
     */
    private BigDecimal dayzhcydl;

    /**
     * 月综合厂用电率
     */
    private BigDecimal monthzhcydl;

    /**
     * 年综合厂用电率
     */
    private BigDecimal yearzhcydl;

    /**
     * 日设备可利用率
     */
    private BigDecimal daysbklyl;

    /**
     * 月设备可利用率
     */
    private BigDecimal monthsbklyl;

    /**
     * 年设备可利用率
     */
    private BigDecimal yearsbklyl;

    /**
     * 日等效可用系数
     */
    private BigDecimal daydxkyxs;

    /**
     * 月等效可用系数
     */
    private BigDecimal monthdxkyxs;

    /**
     * 年等效可用系数
     */
    private BigDecimal yeardxkyxs;

    /**
     * 月有效风时数
     */
    private BigDecimal monthWindHours;

    /**
     * 年有效风时数
     */
    private BigDecimal yearWindHours;

    /**
     * 日日历小时数
     */
    private BigDecimal dayCalendarHours;

    /**
     * 月日历小时书
     */
    private BigDecimal monthCalendarHours;

    /**
     * 年日历小时数
     */
    private BigDecimal yearCalendarHours;

    /**
     * 日限电小时数
     */
    private BigDecimal brownoutsTime;

    /**
     * 月限电小时数
     */
    private BigDecimal monthBrownoutsTime;

    /**
     * 年限电小时数
     */
    private BigDecimal yearBrownoutsTime;

    /**
     * 场内受累检修
     */
    private BigDecimal mainLossIn;

    /**
     * 场内受累故障
     */
    private BigDecimal faultLossIn;

    /**
     * 场外受累电网
     */
    private BigDecimal electricLossOut;

    /**
     * 场外受累天气
     */
    private BigDecimal weatherLossOut;


}
