package com.gyee.generation.model.auto;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDate;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 1、日风向平均风速
2、日风向最大风速
3、日风向次数
4、日风向频率

 * </p>
 *
 * @author shilin
 * @since 2024-05-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProEconWtwindDayInfo extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 风机编号
     */
    private String windturbineId;

    /**
     * 日期
     */
    private LocalDate recordDate;

    /**
     * 日静风次数
     */
    @TableField("CA")
    private BigDecimal ca;

    /**
     * 日静风频率
     */
    @TableField("CB")
    private BigDecimal cb;

    /**
     * 月静风次数
     */
    @TableField("CC")
    private BigDecimal cc;

    /**
     * 月静风频率
     */
    @TableField("CD")
    private BigDecimal cd;

    /**
     * 年静风次数
     */
    @TableField("CF")
    private BigDecimal cf;

    /**
     * 年静风频率
     */
    @TableField("CG")
    private BigDecimal cg;

    /**
     * 日风次数
     */
    @TableField("CH")
    private BigDecimal ch;

    /**
     * 月风次数
     */
    @TableField("CI")
    private BigDecimal ci;

    /**
     * 年风次数
     */
    @TableField("CJ")
    private BigDecimal cj;

    /**
     * 东
     */
    @TableField("E")
    private BigDecimal e;

    /**
     * 东南偏东
     */
    @TableField("ESE")
    private BigDecimal ese;

    /**
     * 东南
     */
    @TableField("SE")
    private BigDecimal se;

    /**
     * 东南偏南
     */
    @TableField("SSE")
    private BigDecimal sse;

    /**
     * 南
     */
    @TableField("S")
    private BigDecimal s;

    /**
     * 西南偏南
     */
    @TableField("SSW")
    private BigDecimal ssw;

    /**
     * 西南
     */
    @TableField("SW")
    private BigDecimal sw;

    /**
     * 西南偏西
     */
    @TableField("WSW")
    private BigDecimal wsw;

    /**
     * 西
     */
    @TableField("W")
    private BigDecimal w;

    /**
     * 西北偏西
     */
    @TableField("WNW")
    private BigDecimal wnw;

    /**
     * 西北
     */
    @TableField("NW")
    private BigDecimal nw;

    /**
     * 西北偏北
     */
    @TableField("NNW")
    private BigDecimal nnw;

    /**
     * 北
     */
    @TableField("N")
    private BigDecimal n;

    /**
     * 东北偏北
     */
    @TableField("NNE")
    private BigDecimal nne;

    /**
     * 东北
     */
    @TableField("NE")
    private BigDecimal ne;

    /**
     * 东北偏东
     */
    @TableField("ENE")
    private BigDecimal ene;

    /**
     * 东2
     */
    @TableField("E2")
    private BigDecimal e2;

    /**
     * 东南偏东2
     */
    @TableField("ESE2")
    private BigDecimal ese2;

    /**
     * 东南2
     */
    @TableField("SE2")
    private BigDecimal se2;

    /**
     * 东南偏南2
     */
    @TableField("SSE2")
    private BigDecimal sse2;

    /**
     * 南2
     */
    @TableField("S2")
    private BigDecimal s2;

    /**
     * 西南偏南2
     */
    @TableField("SSW2")
    private BigDecimal ssw2;

    /**
     * 西南2
     */
    @TableField("SW2")
    private BigDecimal sw2;

    /**
     * 西南偏西2
     */
    @TableField("WSW2")
    private BigDecimal wsw2;

    /**
     * 西2
     */
    @TableField("W2")
    private BigDecimal w2;

    /**
     * 西北偏西2
     */
    @TableField("WNW2")
    private BigDecimal wnw2;

    /**
     * 西北2
     */
    @TableField("NW2")
    private BigDecimal nw2;

    /**
     * 西北偏北2
     */
    @TableField("NNW2")
    private BigDecimal nnw2;

    /**
     * 北2
     */
    @TableField("N2")
    private BigDecimal n2;

    /**
     * 东北偏北2
     */
    @TableField("NNE2")
    private BigDecimal nne2;

    /**
     * 东北2
     */
    @TableField("NE2")
    private BigDecimal ne2;

    /**
     * 东北偏东2
     */
    @TableField("ENE2")
    private BigDecimal ene2;

    /**
     * 东3
     */
    @TableField("E3")
    private BigDecimal e3;

    /**
     * 东南偏东3
     */
    @TableField("ESE3")
    private BigDecimal ese3;

    /**
     * 东南3
     */
    @TableField("SE3")
    private BigDecimal se3;

    /**
     * 东南偏南3
     */
    @TableField("SSE3")
    private BigDecimal sse3;

    /**
     * 南3
     */
    @TableField("S3")
    private BigDecimal s3;

    /**
     * 西南偏南3
     */
    @TableField("SSW3")
    private BigDecimal ssw3;

    /**
     * 西南3
     */
    @TableField("SW3")
    private BigDecimal sw3;

    /**
     * 西南偏西3
     */
    @TableField("WSW3")
    private BigDecimal wsw3;

    /**
     * 西3
     */
    @TableField("W3")
    private BigDecimal w3;

    /**
     * 西北偏西3
     */
    @TableField("WNW3")
    private BigDecimal wnw3;

    /**
     * 西北3
     */
    @TableField("NW3")
    private BigDecimal nw3;

    /**
     * 西北偏北3
     */
    @TableField("NNW3")
    private BigDecimal nnw3;

    /**
     * 北3
     */
    @TableField("N3")
    private BigDecimal n3;

    /**
     * 东北偏北3
     */
    @TableField("NNE3")
    private BigDecimal nne3;

    /**
     * 东北3
     */
    @TableField("NE3")
    private BigDecimal ne3;

    /**
     * 东北偏东3
     */
    @TableField("ENE3")
    private BigDecimal ene3;

    /**
     * 东4
     */
    @TableField("E4")
    private BigDecimal e4;

    /**
     * 东南偏东4
     */
    @TableField("ESE4")
    private BigDecimal ese4;

    /**
     * 东南4
     */
    @TableField("SE4")
    private BigDecimal se4;

    /**
     * 东南偏南4
     */
    @TableField("SSE4")
    private BigDecimal sse4;

    /**
     * 南4
     */
    @TableField("S4")
    private BigDecimal s4;

    /**
     * 西南偏南4
     */
    @TableField("SSW4")
    private BigDecimal ssw4;

    /**
     * 西南4
     */
    @TableField("SW4")
    private BigDecimal sw4;

    /**
     * 西南偏西4
     */
    @TableField("WSW4")
    private BigDecimal wsw4;

    /**
     * 西4
     */
    @TableField("W4")
    private BigDecimal w4;

    /**
     * 西北偏西4
     */
    @TableField("WNW4")
    private BigDecimal wnw4;

    /**
     * 西北4
     */
    @TableField("NW4")
    private BigDecimal nw4;

    /**
     * 西北偏北4
     */
    @TableField("NNW4")
    private BigDecimal nnw4;

    /**
     * 北4
     */
    @TableField("N4")
    private BigDecimal n4;

    /**
     * 东北偏北4
     */
    @TableField("NNE4")
    private BigDecimal nne4;

    /**
     * 东北4
     */
    @TableField("NE4")
    private BigDecimal ne4;

    /**
     * 东北偏东4
     */
    @TableField("ENE4")
    private BigDecimal ene4;

    /**
     * 东5
     */
    @TableField("E5")
    private BigDecimal e5;

    /**
     * 东南偏东5
     */
    @TableField("ESE5")
    private BigDecimal ese5;

    /**
     * 东南5
     */
    @TableField("SE5")
    private BigDecimal se5;

    /**
     * 东南偏南5
     */
    @TableField("SSE5")
    private BigDecimal sse5;

    /**
     * 南5
     */
    @TableField("S5")
    private BigDecimal s5;

    /**
     * 西南偏南5
     */
    @TableField("SSW5")
    private BigDecimal ssw5;

    /**
     * 西南5
     */
    @TableField("SW5")
    private BigDecimal sw5;

    /**
     * 西南偏西5
     */
    @TableField("WSW5")
    private BigDecimal wsw5;

    /**
     * 西5
     */
    @TableField("W5")
    private BigDecimal w5;

    /**
     * 西北偏西5
     */
    @TableField("WNW5")
    private BigDecimal wnw5;

    /**
     * 西北5
     */
    @TableField("NW5")
    private BigDecimal nw5;

    /**
     * 西北偏北5
     */
    @TableField("NNW5")
    private BigDecimal nnw5;

    /**
     * 北5
     */
    @TableField("N5")
    private BigDecimal n5;

    /**
     * 东北偏北5
     */
    @TableField("NNE5")
    private BigDecimal nne5;

    /**
     * 东北5
     */
    @TableField("NE5")
    private BigDecimal ne5;

    /**
     * 东北偏东5
     */
    @TableField("ENE5")
    private BigDecimal ene5;

    /**
     * 东6
     */
    @TableField("E6")
    private BigDecimal e6;

    /**
     * 东南偏东6
     */
    @TableField("ESE6")
    private BigDecimal ese6;

    /**
     * 东南6
     */
    @TableField("SE6")
    private BigDecimal se6;

    /**
     * 东南偏南6
     */
    @TableField("SSE6")
    private BigDecimal sse6;

    /**
     * 南6
     */
    @TableField("S6")
    private BigDecimal s6;

    /**
     * 西南偏南6
     */
    @TableField("SSW6")
    private BigDecimal ssw6;

    /**
     * 西南6
     */
    @TableField("SW6")
    private BigDecimal sw6;

    /**
     * 西南偏西6
     */
    @TableField("WSW6")
    private BigDecimal wsw6;

    /**
     * 西6
     */
    @TableField("W6")
    private BigDecimal w6;

    /**
     * 西北偏西6
     */
    @TableField("WNW6")
    private BigDecimal wnw6;

    /**
     * 西北6
     */
    @TableField("NW6")
    private BigDecimal nw6;

    /**
     * 西北偏北6
     */
    @TableField("NNW6")
    private BigDecimal nnw6;

    /**
     * 北6
     */
    @TableField("N6")
    private BigDecimal n6;

    /**
     * 东北偏北6
     */
    @TableField("NNE6")
    private BigDecimal nne6;

    /**
     * 东北6
     */
    @TableField("NE6")
    private BigDecimal ne6;

    /**
     * 东北偏东6
     */
    @TableField("ENE6")
    private BigDecimal ene6;

    /**
     * 东7
     */
    @TableField("E7")
    private BigDecimal e7;

    /**
     * 东南偏东7
     */
    @TableField("ESE7")
    private BigDecimal ese7;

    /**
     * 东南7
     */
    @TableField("SE7")
    private BigDecimal se7;

    /**
     * 东南偏南7
     */
    @TableField("SSE7")
    private BigDecimal sse7;

    /**
     * 南7
     */
    @TableField("S7")
    private BigDecimal s7;

    /**
     * 西南偏南7
     */
    @TableField("SSW7")
    private BigDecimal ssw7;

    /**
     * 西南7
     */
    @TableField("SW7")
    private BigDecimal sw7;

    /**
     * 西南偏西7
     */
    @TableField("WSW7")
    private BigDecimal wsw7;

    /**
     * 西7
     */
    @TableField("W7")
    private BigDecimal w7;

    /**
     * 西北偏西7
     */
    @TableField("WNW7")
    private BigDecimal wnw7;

    /**
     * 西北7
     */
    @TableField("NW7")
    private BigDecimal nw7;

    /**
     * 西北偏北7
     */
    @TableField("NNW7")
    private BigDecimal nnw7;

    /**
     * 北7
     */
    @TableField("N7")
    private BigDecimal n7;

    /**
     * 东北偏北7
     */
    @TableField("NNE7")
    private BigDecimal nne7;

    /**
     * 东北7
     */
    @TableField("NE7")
    private BigDecimal ne7;

    /**
     * 东北偏东7
     */
    @TableField("ENE7")
    private BigDecimal ene7;

    /**
     * 东8
     */
    @TableField("E8")
    private BigDecimal e8;

    /**
     * 东南偏东8
     */
    @TableField("ESE8")
    private BigDecimal ese8;

    /**
     * 东南8
     */
    @TableField("SE8")
    private BigDecimal se8;

    /**
     * 东南偏南8
     */
    @TableField("SSE8")
    private BigDecimal sse8;

    /**
     * 南8
     */
    @TableField("S8")
    private BigDecimal s8;

    /**
     * 西南偏南8
     */
    @TableField("SSW8")
    private BigDecimal ssw8;

    /**
     * 西南8
     */
    @TableField("SW8")
    private BigDecimal sw8;

    /**
     * 西南偏西8
     */
    @TableField("WSW8")
    private BigDecimal wsw8;

    /**
     * 西8
     */
    @TableField("W8")
    private BigDecimal w8;

    /**
     * 西北偏西8
     */
    @TableField("WNW8")
    private BigDecimal wnw8;

    /**
     * 西北8
     */
    @TableField("NW8")
    private BigDecimal nw8;

    /**
     * 西北偏北8
     */
    @TableField("NNW8")
    private BigDecimal nnw8;

    /**
     * 北8
     */
    @TableField("N8")
    private BigDecimal n8;

    /**
     * 东北偏北8
     */
    @TableField("NNE8")
    private BigDecimal nne8;

    /**
     * 东北8
     */
    @TableField("NE8")
    private BigDecimal ne8;

    /**
     * 东北偏东8
     */
    @TableField("ENE8")
    private BigDecimal ene8;

    /**
     * 东9
     */
    @TableField("E9")
    private BigDecimal e9;

    /**
     * 东南偏东9
     */
    @TableField("ESE9")
    private BigDecimal ese9;

    /**
     * 东南9
     */
    @TableField("SE9")
    private BigDecimal se9;

    /**
     * 东南偏南9
     */
    @TableField("SSE9")
    private BigDecimal sse9;

    /**
     * 南9
     */
    @TableField("S9")
    private BigDecimal s9;

    /**
     * 西南偏南9
     */
    @TableField("SSW9")
    private BigDecimal ssw9;

    /**
     * 西南9
     */
    @TableField("SW9")
    private BigDecimal sw9;

    /**
     * 西南偏西9
     */
    @TableField("WSW9")
    private BigDecimal wsw9;

    /**
     * 西9
     */
    @TableField("W9")
    private BigDecimal w9;

    /**
     * 西北偏西9
     */
    @TableField("WNW9")
    private BigDecimal wnw9;

    /**
     * 西北9
     */
    @TableField("NW9")
    private BigDecimal nw9;

    /**
     * 西北偏北9
     */
    @TableField("NNW9")
    private BigDecimal nnw9;

    /**
     * 北9
     */
    @TableField("N9")
    private BigDecimal n9;

    /**
     * 东北偏北9
     */
    @TableField("NNE9")
    private BigDecimal nne9;

    /**
     * 东北9
     */
    @TableField("NE9")
    private BigDecimal ne9;

    /**
     * 东北偏东9
     */
    @TableField("ENE9")
    private BigDecimal ene9;

    /**
     * 东10
     */
    @TableField("E10")
    private BigDecimal e10;

    /**
     * 东南偏东10
     */
    @TableField("ESE10")
    private BigDecimal ese10;

    /**
     * 东南10
     */
    @TableField("SE10")
    private BigDecimal se10;

    /**
     * 东南偏南10
     */
    @TableField("SSE10")
    private BigDecimal sse10;

    /**
     * 南10
     */
    @TableField("S10")
    private BigDecimal s10;

    /**
     * 西南偏南10
     */
    @TableField("SSW10")
    private BigDecimal ssw10;

    /**
     * 西南10
     */
    @TableField("SW10")
    private BigDecimal sw10;

    /**
     * 西南偏西10
     */
    @TableField("WSW10")
    private BigDecimal wsw10;

    /**
     * 西10
     */
    @TableField("W10")
    private BigDecimal w10;

    /**
     * 西北偏西10
     */
    @TableField("WNW10")
    private BigDecimal wnw10;

    /**
     * 西北10
     */
    @TableField("NW10")
    private BigDecimal nw10;

    /**
     * 西北偏北10
     */
    @TableField("NNW10")
    private BigDecimal nnw10;

    /**
     * 北10
     */
    @TableField("N10")
    private BigDecimal n10;

    /**
     * 东北偏北10
     */
    @TableField("NNE10")
    private BigDecimal nne10;

    /**
     * 东北10
     */
    @TableField("NE10")
    private BigDecimal ne10;

    /**
     * 东北偏东10
     */
    @TableField("ENE10")
    private BigDecimal ene10;

    /**
     * 东11
     */
    @TableField("E11")
    private BigDecimal e11;

    /**
     * 东南偏东11
     */
    @TableField("ESE11")
    private BigDecimal ese11;

    /**
     * 东南11
     */
    @TableField("SE11")
    private BigDecimal se11;

    /**
     * 东南偏南11
     */
    @TableField("SSE11")
    private BigDecimal sse11;

    /**
     * 南11
     */
    @TableField("S11")
    private BigDecimal s11;

    /**
     * 西南偏南11
     */
    @TableField("SSW11")
    private BigDecimal ssw11;

    /**
     * 西南11
     */
    @TableField("SW11")
    private BigDecimal sw11;

    /**
     * 西南偏西11
     */
    @TableField("WSW11")
    private BigDecimal wsw11;

    /**
     * 西11
     */
    @TableField("W11")
    private BigDecimal w11;

    /**
     * 西北偏西11
     */
    @TableField("WNW11")
    private BigDecimal wnw11;

    /**
     * 西北11
     */
    @TableField("NW11")
    private BigDecimal nw11;

    /**
     * 西北偏北11
     */
    @TableField("NNW11")
    private BigDecimal nnw11;

    /**
     * 北11
     */
    @TableField("N11")
    private BigDecimal n11;

    /**
     * 东北偏北11
     */
    @TableField("NNE11")
    private BigDecimal nne11;

    /**
     * 东北11
     */
    @TableField("NE11")
    private BigDecimal ne11;

    /**
     * 东北偏东11
     */
    @TableField("ENE11")
    private BigDecimal ene11;

    /**
     * 东12
     */
    @TableField("E12")
    private BigDecimal e12;

    /**
     * 东南偏东12
     */
    @TableField("ESE12")
    private BigDecimal ese12;

    /**
     * 东南12
     */
    @TableField("SE12")
    private BigDecimal se12;

    /**
     * 东南偏南12
     */
    @TableField("SSE12")
    private BigDecimal sse12;

    /**
     * 南12
     */
    @TableField("S12")
    private BigDecimal s12;

    /**
     * 西南偏南12
     */
    @TableField("SSW12")
    private BigDecimal ssw12;

    /**
     * 西南12
     */
    @TableField("SW12")
    private BigDecimal sw12;

    /**
     * 西南偏西12
     */
    @TableField("WSW12")
    private BigDecimal wsw12;

    /**
     * 西12
     */
    @TableField("W12")
    private BigDecimal w12;

    /**
     * 西北偏西12
     */
    @TableField("WNW12")
    private BigDecimal wnw12;

    /**
     * 西北12
     */
    @TableField("NW12")
    private BigDecimal nw12;

    /**
     * 西北偏北12
     */
    @TableField("NNW12")
    private BigDecimal nnw12;

    /**
     * 北12
     */
    @TableField("N12")
    private BigDecimal n12;

    /**
     * 东北偏北12
     */
    @TableField("NNE12")
    private BigDecimal nne12;

    /**
     * 东北12
     */
    @TableField("NE12")
    private BigDecimal ne12;

    /**
     * 东北偏东12
     */
    @TableField("ENE12")
    private BigDecimal ene12;

    /**
     * 东13
     */
    @TableField("E13")
    private BigDecimal e13;

    /**
     * 东南偏东13
     */
    @TableField("ESE13")
    private BigDecimal ese13;

    /**
     * 东南13
     */
    @TableField("SE13")
    private BigDecimal se13;

    /**
     * 东南偏南13
     */
    @TableField("SSE13")
    private BigDecimal sse13;

    /**
     * 南13
     */
    @TableField("S13")
    private BigDecimal s13;

    /**
     * 西南偏南13
     */
    @TableField("SSW13")
    private BigDecimal ssw13;

    /**
     * 西南13
     */
    @TableField("SW13")
    private BigDecimal sw13;

    /**
     * 西南偏西13
     */
    @TableField("WSW13")
    private BigDecimal wsw13;

    /**
     * 西13
     */
    @TableField("W13")
    private BigDecimal w13;

    /**
     * 西北偏西13
     */
    @TableField("WNW13")
    private BigDecimal wnw13;

    /**
     * 西北13
     */
    @TableField("NW13")
    private BigDecimal nw13;

    /**
     * 西北偏北13
     */
    @TableField("NNW13")
    private BigDecimal nnw13;

    /**
     * 北13
     */
    @TableField("N13")
    private BigDecimal n13;

    /**
     * 东北偏北13
     */
    @TableField("NNE13")
    private BigDecimal nne13;

    /**
     * 东北13
     */
    @TableField("NE13")
    private BigDecimal ne13;

    /**
     * 东北偏东13
     */
    @TableField("ENE13")
    private BigDecimal ene13;

    /**
     * 东14
     */
    @TableField("E14")
    private BigDecimal e14;

    /**
     * 东南偏东14
     */
    @TableField("ESE14")
    private BigDecimal ese14;

    /**
     * 东南14
     */
    @TableField("SE14")
    private BigDecimal se14;

    /**
     * 东南偏南14
     */
    @TableField("SSE14")
    private BigDecimal sse14;

    /**
     * 南14
     */
    @TableField("S14")
    private BigDecimal s14;

    /**
     * 西南偏南14
     */
    @TableField("SSW14")
    private BigDecimal ssw14;

    /**
     * 西南14
     */
    @TableField("SW14")
    private BigDecimal sw14;

    /**
     * 西南偏西14
     */
    @TableField("WSW14")
    private BigDecimal wsw14;

    /**
     * 西14
     */
    @TableField("W14")
    private BigDecimal w14;

    /**
     * 西北偏西14
     */
    @TableField("WNW14")
    private BigDecimal wnw14;

    /**
     * 西北14
     */
    @TableField("NW14")
    private BigDecimal nw14;

    /**
     * 西北偏北14
     */
    @TableField("NNW14")
    private BigDecimal nnw14;

    /**
     * 北14
     */
    @TableField("N14")
    private BigDecimal n14;

    /**
     * 东北偏北14
     */
    @TableField("NNE14")
    private BigDecimal nne14;

    /**
     * 东北14
     */
    @TableField("NE14")
    private BigDecimal ne14;

    /**
     * 东北偏东14
     */
    @TableField("ENE14")
    private BigDecimal ene14;

    /**
     * 东15
     */
    @TableField("E15")
    private BigDecimal e15;

    /**
     * 东南偏东15
     */
    @TableField("ESE15")
    private BigDecimal ese15;

    /**
     * 东南15
     */
    @TableField("SE15")
    private BigDecimal se15;

    /**
     * 东南偏南15
     */
    @TableField("SSE15")
    private BigDecimal sse15;

    /**
     * 南15
     */
    @TableField("S15")
    private BigDecimal s15;

    /**
     * 西南偏南15
     */
    @TableField("SSW15")
    private BigDecimal ssw15;

    /**
     * 西南15
     */
    @TableField("SW15")
    private BigDecimal sw15;

    /**
     * 西南偏西15
     */
    @TableField("WSW15")
    private BigDecimal wsw15;

    /**
     * 西15
     */
    @TableField("W15")
    private BigDecimal w15;

    /**
     * 西北偏西15
     */
    @TableField("WNW15")
    private BigDecimal wnw15;

    /**
     * 西北15
     */
    @TableField("NW15")
    private BigDecimal nw15;

    /**
     * 西北偏北15
     */
    @TableField("NNW15")
    private BigDecimal nnw15;

    /**
     * 北15
     */
    @TableField("N15")
    private BigDecimal n15;

    /**
     * 东北偏北15
     */
    @TableField("NNE15")
    private BigDecimal nne15;

    /**
     * 东北15
     */
    @TableField("NE15")
    private BigDecimal ne15;

    /**
     * 东北偏东15
     */
    @TableField("ENE15")
    private BigDecimal ene15;

    /**
     * 东16
     */
    @TableField("E16")
    private BigDecimal e16;

    /**
     * 东南偏东16
     */
    @TableField("ESE16")
    private BigDecimal ese16;

    /**
     * 东南16
     */
    @TableField("SE16")
    private BigDecimal se16;

    /**
     * 东南偏南16
     */
    @TableField("SSE16")
    private BigDecimal sse16;

    /**
     * 南16
     */
    @TableField("S16")
    private BigDecimal s16;

    /**
     * 西南偏南16
     */
    @TableField("SSW16")
    private BigDecimal ssw16;

    /**
     * 西南16
     */
    @TableField("SW16")
    private BigDecimal sw16;

    /**
     * 西南偏西16
     */
    @TableField("WSW16")
    private BigDecimal wsw16;

    /**
     * 西16
     */
    @TableField("W16")
    private BigDecimal w16;

    /**
     * 西北偏西16
     */
    @TableField("WNW16")
    private BigDecimal wnw16;

    /**
     * 西北16
     */
    @TableField("NW16")
    private BigDecimal nw16;

    /**
     * 西北偏北16
     */
    @TableField("NNW16")
    private BigDecimal nnw16;

    /**
     * 北16
     */
    @TableField("N16")
    private BigDecimal n16;

    /**
     * 东北偏北16
     */
    @TableField("NNE16")
    private BigDecimal nne16;

    /**
     * 东北16
     */
    @TableField("NE16")
    private BigDecimal ne16;

    /**
     * 东北偏东16
     */
    @TableField("ENE16")
    private BigDecimal ene16;

    /**
     * 东17
     */
    @TableField("E17")
    private BigDecimal e17;

    /**
     * 东南偏东17
     */
    @TableField("ESE17")
    private BigDecimal ese17;

    /**
     * 东南17
     */
    @TableField("SE17")
    private BigDecimal se17;

    /**
     * 东南偏南17
     */
    @TableField("SSE17")
    private BigDecimal sse17;

    /**
     * 南17
     */
    @TableField("S17")
    private BigDecimal s17;

    /**
     * 西南偏南17
     */
    @TableField("SSW17")
    private BigDecimal ssw17;

    /**
     * 西南17
     */
    @TableField("SW17")
    private BigDecimal sw17;

    /**
     * 西南偏西17
     */
    @TableField("WSW17")
    private BigDecimal wsw17;

    /**
     * 西17
     */
    @TableField("W17")
    private BigDecimal w17;

    /**
     * 西北偏西17
     */
    @TableField("WNW17")
    private BigDecimal wnw17;

    /**
     * 西北17
     */
    @TableField("NW17")
    private BigDecimal nw17;

    /**
     * 西北偏北17
     */
    @TableField("NNW17")
    private BigDecimal nnw17;

    /**
     * 北17
     */
    @TableField("N17")
    private BigDecimal n17;

    /**
     * 东北偏北17
     */
    @TableField("NNE17")
    private BigDecimal nne17;

    /**
     * 东北17
     */
    @TableField("NE17")
    private BigDecimal ne17;

    /**
     * 东北偏东17
     */
    @TableField("ENE17")
    private BigDecimal ene17;

    /**
     * 东18
     */
    @TableField("E18")
    private BigDecimal e18;

    /**
     * 东南偏东18
     */
    @TableField("ESE18")
    private BigDecimal ese18;

    /**
     * 东南18
     */
    @TableField("SE18")
    private BigDecimal se18;

    /**
     * 东南偏南18
     */
    @TableField("SSE18")
    private BigDecimal sse18;

    /**
     * 南18
     */
    @TableField("S18")
    private BigDecimal s18;

    /**
     * 西南偏南18
     */
    @TableField("SSW18")
    private BigDecimal ssw18;

    /**
     * 西南18
     */
    @TableField("SW18")
    private BigDecimal sw18;

    /**
     * 西南偏西18
     */
    @TableField("WSW18")
    private BigDecimal wsw18;

    /**
     * 西18
     */
    @TableField("W18")
    private BigDecimal w18;

    /**
     * 西北偏西18
     */
    @TableField("WNW18")
    private BigDecimal wnw18;

    /**
     * 西北18
     */
    @TableField("NW18")
    private BigDecimal nw18;

    /**
     * 西北偏北18
     */
    @TableField("NNW18")
    private BigDecimal nnw18;

    /**
     * 北18
     */
    @TableField("N18")
    private BigDecimal n18;

    /**
     * 东北偏北18
     */
    @TableField("NNE18")
    private BigDecimal nne18;

    /**
     * 东北18
     */
    @TableField("NE18")
    private BigDecimal ne18;

    /**
     * 东北偏东18
     */
    @TableField("ENE18")
    private BigDecimal ene18;


}
